.pagination {
    padding-top: rem(2);
    padding-bottom: rem(3);
    background: $white;
    margin-top: rem(5);
    margin-bottom: rem(5);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: space-between;

    &:after,
    &:before {
        top: 0;
        bottom: 0;
        width: rem(500);
        content: '';
        z-index: 10;
        display: block;
        position: absolute;
        background: $white;
    }

    &:after {
        left: 100%;
    }

    &:before {
        right: 100%;
    }

    &__nav {
        font-size: 0;
        line-height: 0;
        width: rem(45);
        height: rem(45);
        display: flex;
        align-items: center;
        justify-content: center;
        background: #F5F5FF;
        border-radius: rem(5);
        fill: $blue-dark;

        i {
            height: rem(12);
            display: inline-block;
        }

        &--prev {

            i {
                transform: rotate(180deg);
            }
        }

        &:hover {
            fill: $white;
            color: $white;
            background: $blue;
            text-decoration: none;
        }
    }

    &__content {
        margin: 0;
        padding: 0;
        list-style: none;
        display: flex;
        align-items: center;
    }

    &__item {
        margin: 0;
    }

    &__link {
        color: $gray;
        font-size: rem(14);
        line-height: rem(20);
        width: rem(45);
        height: rem(45);
        border-radius: rem(5);
        background: transparent;
        text-decoration: none;
        display: flex;
        align-items: center;
        justify-content: center;

        &:hover {
            color: $blue;
            text-decoration: none;
        }

        &.active {
            cursor: default;
            color: $white;
            background: $blue;
        }
    }

    @include media-breakpoint-up(md) {
        padding: rem(8);
        border-radius: rem(10);
        margin: rem(20) 0;

        &:after,
        &:before {
            display: none;
        }
    }

    @include media-breakpoint-up(xl) {
       margin: rem(30) 0;
    }
}

